This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 437153

Summary: AttributeError: 'NoneType' ojbect has no attribute 'primaryCard'
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: anacondaAssignee: Chris Lumens <clumens>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-03-13 11:52:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235706    

Description Orion Poplawski 2008-03-12 13:22:58 EDT
Description of problem:

Trying to do pxe/kickstart install with 20080312 rawhide:

File "/usr/lib/anaconda/installclass.py", line 408, in configureX
 self.setVideoCard(id, driver, videoRam)
File "/usr/lib/anaconda/installclass.py", line 392, in setVideoCard
 primary = id.videocard.primaryCard()
AttributeError: 'NoneType' ojbect has no attribute 'primaryCard'

This is a text mode install, not sure what it's trying to do with the video card.

Last VT3 line:
INFO: All kickstart %%pre script(s) have been run

VT4:
hald: [W] device.c:4313: Error removing device
      [I] osspec.c:241: SEQNUM=967, ACTION=remove, SUBSYSTEM=vc,
DEVPATH=/sys/devices/virtual/vc/vcsa3, DEVNAME=/dev/vcsa3, IFINDEX=0
      [I] device.c:4309: remove_dev: subsyss=vc
sysfs_path=/sys/devices/virtual/vc/vcsa3
      [W] device.d:4313: Error removing device
      [I] device.d:1837: Removing locks from ':1.0'
Comment 1 Jeremy Katz 2008-03-12 18:08:57 EDT
What's in your kickstart config, especially the X related lines?  And do you
have the full traceback?
Comment 2 Orion Poplawski 2008-03-12 18:12:20 EDT
Kickstart:

install
text
url --url=http://fedora.cora.nwra.com/fedora/linux/releases/7/Fedora/i386/os
repo --name=everything
--baseurl=http://fedora.cora.nwra.com/fedora/linux/releases/7/Everything/i386/os/
repo --name=updates
--baseurl=http://fedora.cora.nwra.com/fedora/linux/updates/7/i386/
repo --name=CoRA --baseurl=http://sw.cora.nwra.com/fedora/CoRPMS/fc7/i386/
repo --name=livna --baseurl=http://livna.cora.nwra.com/7/i386/
lang en_US.UTF-8
keyboard us
network --bootproto=dhcp
firewall --disabled
selinux --enforcing
authconfig --enableshadow --enablenis --nisdomain=yp.colorado-research.com
timezone America/Denver
xconfig --startxonboot --defaultdesktop=KDE

Sorry, traceback scrolled off the screen.  Got what I could.
Comment 3 Chris Lumens 2008-03-13 11:52:12 EDT
This will be fixed in the next build of anaconda.  The basic problem here is the
conflict between the text and xconfig commands.  Text takes precedence, so
there's no X to query for information about how to set up the video card which
the xconfig command wants to do.